Skip to main content
GET
/
templates
/
{template_id}
Get a template by ID
curl --request GET \
  --url https://api-staging.superserve.ai/templates/{template_id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "status": "pending",
  "vcpu": 123,
  "memory_mib": 123,
  "disk_mib": 123,
  "size_bytes": 123,
  "error_message": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "built_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.superserve.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

template_id
string<uuid>
required

The unique identifier of the template.

Response

Template details

id
string<uuid>
team_id
string<uuid>
name
string
status
enum<string>
Available options:
pending,
building,
ready,
failed
vcpu
integer
memory_mib
integer
disk_mib
integer
size_bytes
integer<int64>

On-disk size of the template's snapshot bundle (present once ready).

error_message
string

Last build's error message, if status is failed.

created_at
string<date-time>
built_at
string<date-time>

When the template most recently transitioned to ready.